Skip to main content
GET
/
api
/
v3
/
offramp
/
{referenceId}
Get Offramp MobileMoney Status
curl --request GET \
  --url https://sandbox-api.kotanipay.io/api/v3/offramp/{referenceId} \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "message": "Offramp status retrieved",
  "data": {
    "referenceId": "<string>",
    "status": "<string>",
    "cryptoAmount": 123,
    "cryptoAmountReceived": 123,
    "feeInCrypto": 123,
    "feeType": "<string>",
    "cryptoWallet": "<string>",
    "chain": {},
    "token": {},
    "transactionHash": "<string>",
    "updated_at": "2023-11-07T05:31:56Z",
    "onchainError": {},
    "transactionError": {}
  }
}
This endpoint will return the status of the offramp withdrawal request.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

referenceId
string
required

Response

success
boolean
Example:

true

message
string
Example:

"Offramp status retrieved"

data
object